package com.gic.haoban.manage.service.pojo.bo.hm;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author MUSI
 * @Date 2022/7/4 8:56 AM
 * @Description
 * @Version
 **/
public class HmWelcomeRelationBO implements Serializable {

    private static final long serialVersionUID = -5265091280402568359L;
    private Long relationId;

    /**
     *
     */
    private String enterpriseId;

    private String wxEnterpriseId;

    private String welcomeId;

    private String referId;

    private String referCode;

    private String referName;

    private Date createTime;

    private Date updateTime;

    /**
     * @see com.gic.haoban.manage.api.enums.hm.HmWelcomeReferType
     */
    private Integer type;

    private Integer status;

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getWelcomeId() {
        return welcomeId;
    }

    public void setWelcomeId(String welcomeId) {
        this.welcomeId = welcomeId;
    }

    public String getReferId() {
        return referId;
    }

    public void setReferId(String referId) {
        this.referId = referId;
    }

    public String getReferName() {
        return referName;
    }

    public void setReferName(String referName) {
        this.referName = referName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Long getRelationId() {
        return relationId;
    }

    public void setRelationId(Long relationId) {
        this.relationId = relationId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getReferCode() {
        return referCode;
    }

    public void setReferCode(String referCode) {
        this.referCode = referCode;
    }
}
